# Class GeneCountByTypeTable

java.lang.Object
org.snpeff.stats.GeneCountByTypeTable

All Implemented Interfaces:
  `Serializable, Iterable<String>`

public class GeneCountByTypeTable extends Object implements Iterable<String>, Serializable
Count for each 'type' and 'gene'. Tries to avoid multiple counting by comparing to latest variants. WARNING: This strategy does not work if changeEffect are out of order.

Author:
  pcingola
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static boolean`
`debug`
`static int`
`GENE_CPG_NUM_BINS`

## Constructor Summary

Constructors
Constructor
Description
`GeneCountByTypeTable()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getBioType(String key)`
`CountByType`
`getCounter(String type)`
Get counter for this type
`CountByType`
`getCounterSize(String type)`
Get size counter for this type
`List<String>`
`getKeyList()`
Get a sorted list of keys
`int`
`getSizeByType(String key, String type)`
`List<String>`
`getTypeList()`
Get a sorted list of keys
`Iterator<String>`
`iterator()`
`void`
`sample(Gene gene, Transcript tr, String type, VariantEffect variantEffect)`
Sample this invalid input: '<'gene, marker, type, variant> tuple to update statistics

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface Iterable

`forEach, spliterator`

## Field Details

### GENE_CPG_NUM_BINS

public static int GENE_CPG_NUM_BINS

### debug

public static boolean debug

## Constructor Details

### GeneCountByTypeTable

public GeneCountByTypeTable()

## Method Details

### getBioType

public String getBioType(String key)

### getCounter

public CountByType getCounter(String type)
Get counter for this type

### getCounterSize

public CountByType getCounterSize(String type)
Get size counter for this type

### getKeyList

public List<String> getKeyList()
Get a sorted list of keys

### getSizeByType

public int getSizeByType(String key, String type)

### getTypeList

public List<String> getTypeList()
Get a sorted list of keys

### iterator

public Iterator<String> iterator()

Specified by:
  `iterator` in interface `Iterable<String>`

### sample

public void sample(Gene gene, Transcript tr, String type, VariantEffect variantEffect)
Sample this invalid input: '<'gene, marker, type, variant> tuple to update statistics